Analytics API
Use the Analytics API to retrieve summary metrics for a business workspace.
Get summary metrics
http
GET /analytics/summaryOptional query parameter:
| Parameter | Type | Required | Description |
|---|---|---|---|
period | string | No | Reporting month in YYYY-MM. |
bash
curl "https://api.cedius.app/v1/analytics/summary?period=2026-09" -H "Authorization: Bearer cedius_test_sk_example"200 OK
json
{
"data": {
"period": "2026-09",
"currency": "NGN",
"revenue": 2450000,
"expenses": 780000,
"profit": 1670000,
"outstanding_invoices": 325000,
"paid_invoices": 41,
"unpaid_invoices": 7,
"customers": 86
}
}Metric definitions
| Metric | Definition |
|---|---|
revenue | Completed payment total for the period. |
expenses | Expense total for the period. |
profit | revenue - expenses. |
outstanding_invoices | Remaining amount due across unpaid invoices. |
paid_invoices | Count of paid invoices. |
unpaid_invoices | Count of invoices not fully paid. |
customers | Customer count in the workspace. |